function isParseError (doc) {
    return (doc.parseError!=null && doc.parseError.errorCode!=0) ||
        (doc.documentElement.tagName=='parsererror'
         && doc.documentElement.namespaceURI==
         'http://www.mozilla.org/newlayout/xml/parsererror.xml') ||
        (doc.documentElement == null);
}

function queryMap(ev, yid, ctrl) {
    ctrlParam = "";
    if (ctrl) {
        ctrlParam = "&ctrl=" + ctrl;
    }

    var req=false;
    /*@cc_on @*/
    /*@if (@_jscript_version >= 5)
    // JScript gives us Conditional compilation, we can cope with old IE versions.
    // and security blocked creation of the objects.
    try {
        req = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
        try {
            req = new ActiveXObject("Microsoft.XMLHTTP");
        } catch (E) {
            req = false;
        }
    }
    @end @*/
    if (!req && typeof XMLHttpRequest!='undefined') {
        req = new XMLHttpRequest();
    }
    var x, y;
    if (ev.layerX && ev.layerY) {
        x = ev.layerX;
        y = ev.layerY;
    }
    else if (ev.offsetX && ev.offsetY) {
        x = ev.offsetX;
        y = ev.offsetY;
    }
    else if (ev.x && ev.y) {
        x = ev.x;
        y = ev.y;
    }
    else {
       alert("ɸǤʤ֥饦Ǥ");
        return;
    }
    var url = "syard.cgi?cmd=query&yid=" + yid + "&x=" + x + "&y=" + y + ctrlParam;
    req.open("GET", url, false);
    req.send(null);

    if (req.status == 200) {
        if(req.responseXML == null || isParseError(req.responseXML)) {
            alert("ѤʤȤޤ()");
            return;
        }
    }
    else {
        alert(req.status + "ѤʤȤޤ()");
        return;
    }

    doc = req.responseXML;

    pos = doc.getElementsByTagName('pos')[0];
    if (!pos) {
        return;
    }
    var pos = pos.firstChild.data

    moves = doc.getElementsByTagName('moves')[0];
    offX = 0;
    for (m = moves.firstChild; m; m = m.nextSibling) {
        t = m.tagName;
        cs = doc.getElementsByTagName(t)[0];
        if (!cs) continue;
        var i = 0;
        for (i = 0; i < 7; i++) {
            b = document.getElementById(t+i);
            if (b) b.style.display = "none";
        }
        i = 0;
        for (c = cs.firstChild; c; c = c.nextSibling) {
            b = document.getElementById(t+i);
            b.style.display = "inline";
            xy = c.firstChild.data.split(",");
            b.style.left = parseInt(xy[0]) - 13.5 - offX;
            b.style.top = parseInt(xy[1]) - 13.5 + 1 - 570 - 32;
            offX += 27;
            i++;
        }
    }

    var labels = new Array();
    labels['taxi'] = 'TAXI';
    labels['bus']  = 'BUS';
    labels['ug'] = 'U-GROUND';
    labels['bt'] = 'BLACK';

    hows = doc.getElementsByTagName('hows')[0];
    if (!hows) return;
    for (var h = hows.firstChild; h; h = h.nextSibling) {
        info = "< " + pos + " >\n\n";
        t = h.firstChild.data
        info += " " + labels[t] + " ǰưǤޤ\n";
        info += "ưޤ";
        if (confirm(info)) {
            location.replace('syard.cgi?cmd=move&yid=' + yid + '&how=' + t + '&' + t + '=' + pos + ctrlParam);
            return;
        }
    }
}

