Graph := Object clone do(
  type := "Graph"

  all := method(p,
    tmp := List clone addList(taxi at(p)) addList(bus at(p)) addList(ug at(p)) addList(bt at(p)) sort
    ret := List clone
    tmp foreach(i, v,
      if(ret last != v, ret add(v))
    )
    return ret
  )

  load := method(fname,
    mf := LFile clone setPath(fname)
    pos := List clone
    taxi := List clone
    bus := List clone
    ug := List clone
    bt := List clone
    mf readTransaction(
      while(ml := mf readLine,
        ma := ml split("\t") map(i, v, v split(",") map(i, v, v asNumber))
        pos add(ma at(0) map(i, v, v))
        taxi add(ma at(1))
        bus add(ma at(2) or(List clone))
        ug add(ma at(3) or(List clone))
      )
    )
    for(i, 1, 199, bt add(List clone))
    bt atPut(107, List clone add(115))
    bt atPut(114, List clone add(108, 157))
    bt atPut(156, List clone add(115, 194))
    bt atPut(193, List clone add(157))

    self pos := pos
    self taxi := taxi
    self bus := bus
    self ug := ug
    self bt := bt

    self
  )
)


