#include <SDL.h>

int main() {
    SDL_Init(SDL_INIT_VIDEO);

    SDL_Surface* s = SDL_LoadBMP("slyphov.bmp");
    SDL_Surface* scr = SDL_SetVideoMode(s->w, s->h, 32, SDL_SWSURFACE);

    SDL_BlitSurface(s, NULL, scr, NULL);
    SDL_Flip(scr);

    int i = 0;
    int done = 0;
    while (!done) {
        SDL_Event ev;
        while (SDL_PollEvent(&ev)) {
            if (ev.type == SDL_QUIT) done = 1;
            if (ev.type == SDL_MOUSEBUTTONUP) {
                printf("%d %d,%d\n", i, ev.button.x, ev.button.y);
                fflush(stdout);
                i++;
            }
        }
        SDL_Delay(20);
    }
}

